{% extends 'test_base_2.html' %}

{% block title %} Dashboard {% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
    <link href="/static/assets/css/app.css" rel="stylesheet">
    <link href="/static/assets/css/info_pages.css" rel="stylesheet">
{% endblock %}

{% block content %}

<main class="content">

    <div class="container-fluid p-0">

      <!-- container with title and breadcrumb -->
        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3><strong>Doku</strong>mentation</h3>
            </div>

            <div class="col-auto ml-auto text-right mt-n1">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb bg-transparent p-0 mt-1 mb-0">
                        <li class="breadcrumb-item"><a href="/">Saviour</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Informationen</li>
                    </ol>
                </nav>
            </div>
        </div>

        <!-- container with documentation and scrollspy -->
        <div class="container-fluid padded">
          <div class="row">
            <!-- column for information (left part) -->
            <div class="col-8">
              <div class="scrollable-container" data-bs-spy="scroll" data-bs-target="#content-list" data-bs-offset="0" data-bs-smooth-scroll="true" tabindex="0">
                <h4 id="list-item-0">Einleitung</h4>
                <p class="indent-1">
                  In dieser App können die Daten und Prozessparameter beim Drucken
                  eines medizinischen Bauteils in Echtzeit dargestellt werden. Anhand
                  der über Machine Learning aufgebauten Qualitätsmodelle kann die
                  Produktqualität während eines Drucks beurteilt werden, sodass
                  fehlerhafte Druckprozesse frühzeitig abgebrochen werden können. Des
                  Weiteren können die kontinuierlich aufgenommenen Daten der
                  prozessintegrierten Sensorik angezeigt und als ständiger Nachweis
                  der Prozess- und Produktqualität verwendet werden.
                </p>
                <h4 id="list-item-1">1. Drucken eines Bauteils und Anzeigen der aktuellen Prozessdaten</h4>
                <p class="indent-1">
                  Um den Druck eines Bauteils mit dieser App zu überwachen, muss
                  zunächst eine Datenverbindung zwischen dem Drucker und diesem
                  Computer hergestellt werden. Näheres hierzu ist im Abschnitt
                  <a href="#list-item-1-1">1.1</a> dargestellt.
                  Anschließend können über die Seite
                  <a href="/current-process">Aktueller Druckprozess</a>
                  die Einstellungen des geplanten Drucks eingegeben werden.
                  Das Vorgehen hierzu ist in Abschnitt <a href="#list-item-1-2">1.2</a>
                  beschrieben.
                  Anschließend können die Überwachung der Prozessparameter und
                  der Druck des Bauteils, wie in Abschnitt <a href="#list-item-1-3">1.3</a>
                  beschrieben, gestartet werden. Auf der Seite
                  <a href="/current-process">Aktueller Druckprozess</a> werden dann Daten der
                  verschiedenen Sensoren in Diagrammen angezeigt. Nähere Informationen
                  hierzu sind in Abschitt <a href="#list-item-1-4">1.4</a>
                  aufgelistet.
                </p>
                <h5 id="list-item-1-1" class="indent-1">1.1 Anschließen des Druckers und Überprüfung der Verbindung</h5>
                <p class="indent-2">
                  Um den Drucker mit dieser App zu verbinden, starten Sie bitte
                  den Drucker und diese App. Sobald die App gestartet wurde,
                  wird nach möglichen Verbindungen gesucht.
                </p>
                <!-- <p class="question">
                  Was passiert, wenn es mehrere Drucker in dem gleichen Bereich
                  gibt? Werden diese dann angezeigt, sodass man den richtigen
                  aussuchen kann?
                  Wird dem/der Benutzer/in angezeigt, wenn der Drucker verbunden
                  ist? Wie kann man erkennen, dass und welcher Drucker verbunden
                  ist?
                </p> -->
                <p class="indent-2">
                  Sobald der Drucker mit der App verbunden ist, kann mit der Einrichtung
                  der Druckeinstellungen für den geplanten Druck begonnen werden.
                </p>
                <h5 id="list-item-1-2" class="indent-1">1.2 Eingeben der Einstellungen des geplanten Drucks</h5>
                <p class="indent-2">
                  Um die Einstellungen für den geplanten Druck einzugeben, gehen
                  Sie bitte auf die Seite
                  <a href="/current-process">Aktueller Druckprozess</a>.
                  In dem oberen Bereich wird Ihnen angezeigt, dass der Prozess
                  noch nicht gestartet wurde.
                </p>
                <!-- Figure of current_process page -->
                <div class="table_container">
                  <figure class="figure">
                    <img src="/static/assets/img/info/Screenshot (1).png" width="100%" alt="Bildschirmaufnahme der Seite Aktueller Prozess">
                    <figcaption class="figure-caption">
                      Abbildung 1: Seite "Aktueller Prozess" vor dem Start eines Prozesses<br>
                    </figcaption>
                  </figure>
                </div>
                <p class="indent-2">
                  Zur Analyse der Druckqualität werden neben den Sensordaten
                  des Druckers noch weitere Daten benötigt. Diese müssen vor
                  jedem neuen Druck eingegeben werden. Um zu der Eingabeseite
                  für diese Daten zu kommen, können Sie auf den Button
                  "Prozess starten" klicken. Im Anschluss wird Ihnen eine Seite
                  wie in Abbildung 2 angezeigt.
                </p>
                <!-- Figure screenshot enter data page -->
                <div class="table_container">
                  <figure class="figure">
                    <img src="/static/assets/img/info/Screenshot (2_1).png" width="100%" alt="Bildschirmaufnahme der Seite Prozessdaten eingeben">
                    <img src="/static/assets/img/info/Screenshot (2_2).png" width="100%" alt="Bildschirmaufnahme der Seite Prozessdaten eingeben">
                    <figcaption class="figure-caption">
                      Abbildung 2: Seite "Prozessdateneingabe"<br>
                    </figcaption>
                  </figure>
                </div>
                <p class="indent-2">
                  Wenn Sie diese App zum ersten Mal verwenden, müssen Sie zunächst
                  die Eingaben manuell einfügen. Hierzu gehen Sie auf das Pluszeichen
                  in der oberen rechten Ecke der Eingabeboxen. Geben Sie die
                  Daten in dem angezeigten Fenster ein und bestätigen Sie Ihre
                  Eingaben mit dem Button "Eingaben speichern".
                  Wiederholen Sie die eben beschriebenen Schritte für alle vier
                  Eingabeboxen. Überprüfen Sie, dass alle notwendigen Daten
                  vorhanden sind, indem Sie diese in den Dropdown-Menüs anzeigen
                  lassen.
                </p>
                <!-- Figure Screenshot enter data -->
                <div class="table_container">
                  <figure class="figure">
                    <img src="/static/assets/img/info/Screenshot (3a).png" width="100%" alt="Bildschirmaufnahme der Seite Prozessdateneingabe">
                    <figcaption class="figure-caption">
                      Abbildung 3: Dropdown Menü auf Seite "Prozessdateneingabe" vor Eingabe von neuen Daten<br>
                    </figcaption>
                  </figure>
                </div>
                <!-- Figure Screenshot enter data -->
                <div class="table_container">
                  <figure class="figure">
                    <img src="/static/assets/img/info/Screenshot (3b).png" width="100%" alt="Bildschirmaufnahme der Seite Prozessdateneingabe">
                    <figcaption class="figure-caption">
                      Abbildung 4: Eingeben neuer Daten auf Seite "Prozessdateneingabe"<br>
                    </figcaption>
                  </figure>
                </div>
                <p class="indent-3">
                  Hinweis:<br>
                  Wenn Sie bereits Einstellungen aus den Dropdown-Menüs
                  ausgewählt haben und anschließend neue Daten über das Pluszeichen
                  hinzufügen, gehen die bereits aus den Dropdown-Menüs ausgewählten
                  Einstellungen verloren.
                </p>
                <p class="indent-2">
                  Wenn bereits alle Einstellungen abgespeichert wurden, können
                  diese einfach aus den Dropdown-Menüs ausgewählt werden.
                  Klicken Sie hierfür auf ein Eingabefeld und wählen Sie in der
                  auftauchenden Liste die zutreffende Zeile per Mausklick aus.
                </p>
                <!-- Figure Screenshot enter data -->
                <div class="table_container">
                  <figure class="figure">
                    <img src="/static/assets/img/info/Screenshot (3c).png" width="100%" alt="Bildschirmaufnahme der Seite Prozessdateneingabe">
                    <figcaption class="figure-caption">
                      Abbildung 5: Dropdown Menü auf Seite "Prozessdateneingabe" nach Eingabe von neuen Daten<br>
                    </figcaption>
                  </figure>
                </div>
                <p class="indent-2">
                 Zudem werden zusätzlich zu den manuellen Eingaben auch die Einstellparameter der Slicer-Software mit einbezogen.
                 Erstellen Sie dazu die html-Datei in Cura und wählen sie die gesicherte Datei für die Analyse aus.
                </p>
                <!-- <p class="question">
                  Hier fehlt noch eine Beschreibung, wie die Datei erstellt wird mittels Cura.
                </p> -->
                <h5 id="list-item-1-3" class="indent-1">1.3 Prozessparameterüberwachung und Druck des Bauteils starten</h5>
                <p class="indent-2">
                  Nach dem alle Einstellungen ausgewählt wurden, kann der Druckprozess
                  gestartet werden. Sobald auf der Dateneingabeseite auf den Button
                  "Eingaben Speichern" geklickt wird, fängt die App an, die
                  Sensordaten des Druckers zu überwachen und anzuzeigen.
                </p>
                <p class="indent-2">
                  Nachdem die Überwachung der Sensordaten durch die App gestartet
                  wurde, kann mit dem Druck begonnen werden.
                </p>
                <h5 id="list-item-1-4" class="indent-1">1.4 Anzeigen und Überwachen der Prozessparameter</h5>
                <p class="indent-2">
                  Nach dem der Druck gestartet wurde, werden die aufgenommenen
                  Sensordaten auf der Seite
                  <a href="/current-process">Aktueller Druckprozess</a>
                  in Form von Diagrammen angezeigt. Die Diagramme werden in
                  Echtzeit aktualisiert, sodass kontinuierlich die aktuellen
                  Daten angezeigt werden.
                </p>
                <h5 id="list-item-1-5" class="indent-1">1.5 Beenden des aktuellen Drucks</h5>
                <p class="indent-2">
                  Nach dem der Druck durch den Drucker fertig gestellt wurde,
                  kann die Datenaufnahme und -überwachung gestoppt werden.
                  Hierzu klicken Sie auf der Seite
                  <a href="/current-process">Aktueller Druckprozess</a>
                  den Button "Prozess beenden". Bestätigen Sie den Stopp der
                  Datenaufnahme in dem auftauchenden Fenster über den Button
                  "Prozess beenden". Die Daten in den Diagrammen werden
                  noch solange angezeigt, bis entweder ein neuer Druck gestartet
                  oder die App beendet wird.
                </p>
                <h4 id="list-item-2">2. Anzeigen der Qualitätsvorhersage</h4>
                <p class="indent-1">
                  Zum Anzeigen der Qualitätsvorhersage gehen Sie auf den Reiter
                  <a href="/quality-prediction">Qualitätsvorhersage</a>
                  der linken Randspalte. Hier werden Vorhersagen zur
                  Oberflächenqualität, zum Materialverzug und zu den mechanischen
                  Eingeschaften dargestellt. Die Vorhersagen basieren auf den
                  aufgenommenen Daten und den Machine Learning Modellen dieser
                  App.
                </p>
                <h5 id="list-item-2-1" class="indent-1">2.1 Grundlagen zum Qualitätsmodell</h5>
                <p class="indent-2">
                  Das Qualitätsmodell besteht aus mehreren Machine Learning 
                  Modellen, welche für die verschiedenen Zeitabschnitte des 
                  Druckprozesses eine Vorhersage der Qualität ermöglichen. 
                  Eine genauere Beschreibung des verwendeten Qualitätsmodells 
                  kann der folgenden Veröffentlichung entnommen werden:
                  <a href="https://link.springer.com/chapter/10.1007/978-3-031-26236-4_8#editor-information">https://link.springer.com/chapter/10.1007/978-3-031-26236-4_8#editor-information</a>
                </p>
                <h5 id="list-item-2-2" class="indent-1">2.2 Interpretation der Qualitätsvorhersagen</h5>
                <p class="indent-2">
                  Die Vorhersage der Qualitätsparameter basiert auf dem 
                  verwendeten Qualitätsmodell. Die Genauigkeit der Vorhersagen 
                  sind demnach mit der Aussagekraft des Qualitätsmodells zu verbinden.
                  Dieses können Sie unter <a href="/machine-learning-model">Machine Learning Model</a> einsehen.
                </p>
                <h4 id="list-item-3">3. Trainieren des Machine Learning Modells</h4>
                <p class="indent-1">
                  Vor der Nutzung des Qualitätsmodells zur
                  Qualitätsvorhersage und gelegentlich zwischendurch,
                  nach dem einige Bauteile gedruckt wurden, muss das
                  Modell erneut trainiert werden. Hierfür können Sie die
                  Seite <a href="/machine-learning-model">Machine Learning Model</a>
                  nutzen. Auf dieser Seite finden Sie einen Button, mit
                  dem das Training gestartet werden kann. Des Weitern wird
                  die Performance der vorhandenen Modelle in Form von Graphen
                  angezeigt.
                </p>
                <h5 id="list-item-3-1" class="indent-1">3.1 Trainieren des Modells</h5>
                <p class="indent-2">
                  Um ein Training des Qualitätsmodells zu starten,
                  klicken Sie bitte auf den Button "Trainiere das Modell".
                  Neben dem Button sehen Sie den Zeitpunkt des letzten Trainings.
                </p>
                <p class="indent-2">
                  Das Training dauert typischerweise relativ lange. Anhand
                  des Fortschrittsbalkens können Sie den Trainingsfortschritt beobachten.
                  Sie können während des Trainings die Trainingsseite verlassen. 
                  Das Modell wird im Hintergrund weiter trainiert.
                </p>
                <p class="indent-2">
                  Nach dem das Training abgeschlossen wurde, wird der
                  Zeitpunkt des abgeschlossenen Trainings gespeichert
                  und neben dem Button "Trainiere das Modell" angezeigt.
                </p>
                <!-- TODO: Hier weiterschreiben und Bilder einfügen -->
                <h5 id="list-item-3-2" class="indent-1">3.2 Anzeigen und Interpretieren der Diagramme</h5>
                <p class="indent-2">
                  Insgesamt gibt es vier Modelle mit jeweils drei Diagrammen.
                  Um ein bestimmtes Diagramm anzuzeigen, klicken Sie bitte
                  auf den entsprechenden Button. Das entsprechende Diagramm
                  wird Ihnen unterhalb der Buttons angezeigt.
                  Welches Diagramm gerade angezeigt wird, sehen Sie in dem
                  Hinweis über dem Diagramm.
                  Eine Beschreibung der Diagramme und deren Aussagekraft ist ebenfalls angegeben. 
                </p>
                <!-- TODO: Hier weiterschreiben -->
                <h4 id="list-item-4">4. Anzeigen der historischen Daten</h4>
                <p class="indent-1">
                  Auf der Seite <a href="/historical data">Historische Daten</a>
                  werden die aufgenommenen Daten der Sensoren dargestellt.
                  Über die verschiedenen Buttons in dem oberen Bereich der Seite
                  können verschiedene Tabellen mit Informationen zur Anzeige
                  ausgewählt werden.
                </p>
                <h5 id="list-item-4-1" class="indent-1">4.1 Daten von Sensoren</h5>
                <p class="indent-2">
                  Über den Button "Daten von Sensoren" gelangt man zu einer
                  Tabelle, in der die verschiedenen Sensoren samt einer kurzen
                  Beschreibung dieser dargestellt sind. Wenn mit der Maus auf
                  eine Zeile der Tabelle geklickt wird, erscheint am rechten
                  Rand ein Diagramm, in dem die letzten gemessenen Daten des
                  Sensors dargestellt sind.
                </p>
                <h5 id="list-item-4-2" class="indent-1">4.2 Exportieren historischer Daten</h5>
                <p class="indent-2">
                  Mittels des "Download"-Buttons können die Sensordaten des aktuellen 
                  Prozesses in Form einer csv-Datei heruntergeladen werden.
                </p>
                <!-- <p class="question">
                  In welcher Form sollen die Daten bereitgestellt werden, sodass diese als Nachweis der
                  Prozess- und Produktqualität verwenden zu können?
                </p> -->
                <h4 id="list-item-5">5. Häufig gestellte Fragen und Troubleshooting</h4>
                <p class="indent-1">
                  Falls Sie Fragen zur Nutzung dieser App haben, schauen Sie
                  sich gerne zunächst diesen Bereich mit häufig gestellten
                  Fragen an. Falls Ihre Frage in disem Bereich nicht beantwortet
                  werden kann, können Sie sich gerne an r.witt@wzl-mq.rwth-aachen.de wenden.
                  Der Troubleshooting-Bereich wird mit aufkommenden Fragen erweitert. Wenn Sie 
                  hier noch keine Fragen sehen, liegt es daran, dass bisher noch keine Fragen 
                  gestellt wurden, oder Ihre Version veraltet ist.
                </p>
                <h5 id="list-item-5-1" class="indent-1">5.1 Frage</h5>
                <p class="indent-2">
                  Bisher wurden noch keine Fragen gestellt.
                </p>
              </div>
            </div>
            <!-- column for scrollspy list (right part) -->
            <div class="col-4">
              <div class="scrollable-container">
                <div id="content-list" class="list-group">
                  <a class="list-group-item list-group-item-action" href="#list-item-0">Einleitung</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-1">1. Drucken eines Bauteils und Anzeigen der aktuellen Prozessdaten</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-1-1">1.1 Anschließen des Druckers und Überprüfung der Verbindung</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-1-2">1.2 Eingeben der Einstellungen des geplanten Drucks</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-1-3">1.3 Prozessparameter- überwachung und Druck des Bauteils starten</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-1-4">1.4 Anzeigen und Überwachen der Prozessparameter</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-1-5">1.5 Beenden des aktuellen Drucks</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-2">2. Anzeigen der Qualitätsvorhersage</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-2-1">2.1 Grundlagen zum Machine Learning Model</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-2-2">2.2 Interpretation der Qualitätsvorhersagen</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-3">3. Trainieren des Machine Learning Modells</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-3-1">3.1 Trainieren des Modells</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-3-2">3.2 Anzeigen und Interpretieren der Diagramme</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-4">4. Anzeigen der historischen Daten</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-4-1">4.1 Daten von Sensoren</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-4-2">4.2 Exportieren historischer Daten</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-5">5. Häufig gestellte Fragen und Troubleshooting</a>
                  <a class="list-group-item list-group-item-action" href="#list-item-5-1">5.1 Frage</a>
                </div>
              </div>
            </div>
          </div>
        </div>

    </div>
</main>

{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script>
{% endblock javascripts %}
